This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 485913

Summary: Resolution cannot be increased
Product: [Fedora] Fedora Reporter: antonio montagnani <antonio.montagnani>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: ajax, cdadhemar, jrb, spoffley, xgl-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-23 14:26:42 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description antonio montagnani 2009-02-17 07:54:58 EST
Description of problem:
wrong resolution of my laptop screen

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.5.99.902-12.fc11.i386.rpm

How reproducible:
always

Steps to Reproduce:
1.start the computer
2.
3.
  
Actual results:
maximum available resolution is 1024x768

Expected results:
it should be 1200x800

Additional info:
output ...
well I issued xrandr -q on the same machine in F10 and F11:

F10 output:
xrandr -q
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 1280 x 1280
VGA disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis)
331mm x 207mm
  1280x800       60.0*+
  1024x768       60.0
  800x600        60.3
  640x480        59.9
TV disconnected (normal left inverted right x axis y axis)

and in F11:

xrandr -q
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
LVDS1 connected 1024x768+0+0 (normal left inverted right x axis y
axis) 330mm x 210mm
 1280x800       60.0 +
 1024x768       60.0*
 800x600        60.3
 640x480        59.9
TV1 disconnected 1024x768+0+0 (normal left inverted right x axis y
axis) 0mm x 0mm

In gnome-display-properties 1280x800 is not available in F11, in F10 is o.k.

Running intel driver
Comment 1 Kristian Høgsberg 2009-02-17 09:43:48 EST
You can still do xrandr --output LVDS --mode 1280x800 to get it into native mode right?  The bug is that we detect a non-existent TV out and X picks the highest mode that both outputs (the TV and your LVDS (laptop panel)) can handle.

If you un-mirror screens (there's a checkbox in the dialog to do that), you should be able to select the LVDS and increase the resolution for that to 1280x800.
Comment 2 antonio montagnani 2009-02-17 10:17:38 EST
I issued xrandr --output LVDS --mode 1280x800 and un-mirrored screens. Now resolution is correct but system cannot be used as bars with menus are on the far right of the screen and cannot be repositioned, so I cannot see menus and operate on them.How do I recover from it?? I cannot see a terminal window.
I think that I have to switch to text mode, and then??
Comment 3 Sachin Garg 2009-02-20 00:02:09 EST
I am seeing this behaviors since KMS is enabled in rawhide.
Comment 4 Bug Zapper 2009-06-09 07:27:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-11-05 13:22:06 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 antonio montagnani 2009-11-19 05:49:04 EST
now I have the correct info in F12.
Comment 8 Adam Jackson 2009-11-23 14:26:42 EST
Closing per comment #7